/*
 *  Login.app
 * 
 *  Copyright (c) 1997-2000 Per Liden
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <X11/Xlib.h>
#include <wraster.h>
#include <stdio.h>
#include <WINGs/WUtil.h>
#include "preferences.h"
#include "resources.h"

extern RContext *ctx;

Bool initGraphicsContext();
unsigned long getColorByName(char* name);
void setWindowImage(Window win, RImage* image);
void setCombinedWindowImage(Window win, RImage* bottom, RImage* top);
void drawText(Window win, XFontStruct* font, int justification, 
	      int x, int y, unsigned long color, const char* text);

#endif
